diff --git a/src/main/java/net/minecraft/server/MinecraftServer.java b/src/main/java/net/minecraft/server/MinecraftServer.java
index a4708ee33..a6511c78c 100644
--- a/src/main/java/net/minecraft/server/MinecraftServer.java
+++ b/src/main/java/net/minecraft/server/MinecraftServer.java
@@ -1,5 +1,6 @@
 package net.minecraft.server;
 
+import com.mojang.logging.LogUtils;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.Global;
 import net.minecraft.core.MinecraftAccessor;
@@ -48,28 +49,22 @@ import net.minecraft.server.gui.ServerGui;
 import net.minecraft.server.net.ConsoleCommandHandler;
 import net.minecraft.server.net.NetworkListenThread;
 import net.minecraft.server.net.PlayerList;
-import net.minecraft.server.net.thread.ThreadCommandReader;
-import net.minecraft.server.net.thread.ThreadServerApplication;
-import net.minecraft.server.net.thread.ThreadSleepForeverServer;
 import net.minecraft.server.world.ConvertProgressUpdater;
 import net.minecraft.server.world.WorldManager;
 import net.minecraft.server.world.WorldServer;
 import net.minecraft.server.world.WorldServerMulti;
 import net.minecraft.server.world.chunk.provider.ChunkProviderServer;
-import org.apache.log4j.Logger;
-import org.apache.log4j.PropertyConfigurator;
+import org.slf4j.Logger;
 
+import java.io.BufferedReader;
 import java.io.File;
 import java.io.IOException;
-import java.io.OutputStream;
+import java.io.InputStreamReader;
 import java.net.InetAddress;
 import java.net.UnknownHostException;
-import java.nio.file.Files;
-import java.nio.file.Paths;
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.HashMap;
-import java.util.Iterator;
 import java.util.List;
 import java.util.Random;
 
@@ -79,6 +74,45 @@ import static net.minecraft.core.Global.isServer;
 public class MinecraftServer
         implements Runnable, ICommandListener, MinecraftAccessor
 {
+    public static Logger LOGGER = LogUtils.getLogger();
+    public static final String VERSION = Global.VERSION;
+    private static MinecraftServer instance;
+    public static HashMap<String, Integer> field_6037_b = new HashMap<>();
+    public NetworkListenThread networkServer;
+    public PropertyManager propertyManager;
+    public WorldServer[] dimensionWorlds;
+    public PlayerList playerList;
+    private ConsoleCommandHandler commandHandler;
+    private boolean serverRunning;
+    public boolean serverStopped;
+    int deathTime;
+    public String currentTask;
+    public int percentDone;
+    private final List<IUpdatePlayerListBox> playerListBoxes;
+    private final List<ServerCommandEntry> commands;
+    public EntityTracker[] entityTracker;
+    public boolean onlineMode;
+    public boolean pvpOn;
+    public boolean allowFlight;
+    public int spawnProtectionRange;
+    public WorldType defaultWorldType;
+    public int difficulty;
+    public final ServerCommandHandler serverCommandHandler = new ServerCommandHandler(this);
+    public String joinMessage = null;
+    public int summonLimit;
+    public String language;
+    public int sleepPercentage = 100;
+    public int maxPlayers = 20;
+    public Gamemode defaultGamemode;
+    public static String statsToken;
+    public static boolean statsStatus;
+    public boolean disablePhotoMode = false;
+    public String motd = "";
+    private final SkinVariantList skinVariantList = new ServerSkinVariantList();
+    public int autoSaveInterval = 5;
+    public int chunksSavedPerAutosave = 24;
+    public boolean forceSaveAllChunksOnAutosave = false;
+    public SpawnerMobs.SpawnerConfig spawnerConfig = new SpawnerMobs.SpawnerConfig();
 
     public MinecraftServer()
     {
@@ -86,9 +120,22 @@ public class MinecraftServer
         serverRunning = true;
         serverStopped = false;
         deathTime = 0;
-        field_9010_p = new ArrayList();
-        commands = Collections.synchronizedList(new ArrayList());
-        new ThreadSleepForeverServer(this);
+        playerListBoxes = new ArrayList<>();
+        commands = Collections.synchronizedList(new ArrayList<>());
+        Thread t = new Thread(
+            () -> {
+                do
+                {
+                    try
+                    {
+                        Thread.sleep(0x7fffffffL);
+                    }
+                    catch(InterruptedException ignored) { }
+                } while(true);
+            }
+        );
+        t.setDaemon(true);
+        t.start();
     }
 
     private boolean startServer()
@@ -97,14 +144,25 @@ public class MinecraftServer
         instance = this;
         isServer = true;
         commandHandler = new ConsoleCommandHandler(this);
-        ThreadCommandReader threadcommandreader = new ThreadCommandReader(this);
-        threadcommandreader.setDaemon(true);
-        threadcommandreader.start();
-        logger.info("Starting Better than Adventure! server for version " + VERSION);
+        Thread commandReadingThreads = new Thread(() -> {
+            BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(System.in));
+            String s = null;
+            try {
+                while(!this.serverStopped && MinecraftServer.isServerRunning(this) && (s = bufferedreader.readLine()) != null) {
+                    this.addCommand(s, this);
+                }
+            }
+            catch(IOException ioexception) {
+                LOGGER.error("Exception occurred while adding command '{}'!", s, ioexception);
+            }
+        });
+        commandReadingThreads.setDaemon(true);
+        commandReadingThreads.start();
+        LOGGER.info("Starting Better than Adventure! server for version {}", VERSION);
         if (Runtime.getRuntime().maxMemory() / 1024L / 1024L < 512L)
         {
-            logger.warn("**** NOT ENOUGH RAM!");
-            logger.warn("To start the server with more ram, launch it as \"java -Xmx1024M -Xms1024M -jar minecraft_server.jar\"");
+            LOGGER.warn("**** NOT ENOUGH RAM!");
+            LOGGER.warn("To start the server with more ram, launch it as \"java -Xmx1024M -Xms1024M -jar minecraft_server.jar\"");
         }
 
         // Manually initialize blocks and items
@@ -113,7 +171,7 @@ public class MinecraftServer
 
         Dimension.init();
 
-        logger.info("Loading properties");
+        LOGGER.info("Loading properties");
         propertyManager = new PropertyManager(new File("server.properties"));
         String s = propertyManager.getStringProperty("server-ip", "");
         onlineMode = propertyManager.getBooleanProperty("online-mode", true);
@@ -195,8 +253,8 @@ public class MinecraftServer
         int groups = Registries.RECIPES.getAllGroups().size();
         int namespaces = Registries.RECIPES.size();
         int itemGroups = Registries.ITEM_GROUPS.size();
-        System.out.printf("%d item groups.%n",itemGroups);
-        System.out.printf("%d recipes in %d groups in %d namespaces.%n",recipes,groups,namespaces);
+        logInfo(String.format("%d item groups.",itemGroups));
+        logInfo(String.format("%d recipes in %d groups in %d namespaces.",recipes,groups,namespaces));
         
         SoundTypes.registerSounds();
         
@@ -204,70 +262,70 @@ public class MinecraftServer
 
         StatList.init();
 
-        if (!statsToken.equals("only-enter-a-value-if-you-are-a-registered-server") && !(statsToken.equals("")))
+        if (!statsToken.equals("only-enter-a-value-if-you-are-a-registered-server") && !(statsToken.isEmpty()))
         {
             statsStatus = true;
             int errorCode = RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + statsToken + "&count=0");
             switch (errorCode)
             {
                 case 401:
-                    MinecraftServer.logger.warn("Your server stats token is invalid. Please clear server.properties -> stats-token");
+                    MinecraftServer.LOGGER.warn("Your server stats token is invalid. Please clear server.properties -> stats-token");
                     statsStatus = false;
                     break;
                 case 503:
-                    MinecraftServer.logger.warn("Cannot access server stats API! Your server might be offline.");
+                    MinecraftServer.LOGGER.warn("Cannot access server stats API! Your server might be offline.");
                     statsStatus = false;
                     break;
             }
         }
         InetAddress inetaddress = null;
-        if (s.length() > 0)
+        if (!s.isEmpty())
         {
             inetaddress = InetAddress.getByName(s);
         }
         int i = propertyManager.getIntProperty("server-port", 25565);
-        logger.info("Starting Minecraft server on " + (s.length() != 0 ? s : "*") + ":" + i);
+        LOGGER.info("Starting Minecraft server on " + (!s.isEmpty() ? s : "*") + ":" + i);
         try
         {
             networkServer = new NetworkListenThread(this, inetaddress, i);
         }
         catch (IOException ioexception)
         {
-            logger.warn("**** FAILED TO BIND TO PORT!");
-            logger.warn("The exception was: " + ioexception);
-            logger.warn("Perhaps a server is already running on that port?");
+            LOGGER.warn("**** FAILED TO BIND TO PORT!");
+            LOGGER.warn("The exception was: " + ioexception);
+            LOGGER.warn("Perhaps a server is already running on that port?");
             return false;
         }
         if (!onlineMode)
         {
-            logger.warn("**** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!");
-            logger.warn("The server will make no attempt to authenticate usernames. Beware.");
-            logger.warn("While this makes the game possible to play without internet access, it also opens up the ability for hackers to connect with any username they choose.");
-            logger.warn("To change this, set \"online-mode\" to \"true\" in the server.properties file.");
+            LOGGER.warn("**** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!");
+            LOGGER.warn("The server will make no attempt to authenticate usernames. Beware.");
+            LOGGER.warn("While this makes the game possible to play without internet access, it also opens up the ability for hackers to connect with any username they choose.");
+            LOGGER.warn("To change this, set \"online-mode\" to \"true\" in the server.properties file.");
         }
         playerList = new PlayerList(this);
         for (int q = 0; q < Dimension.getDimensionList().size(); q++)
         {
             entityTracker[q] = new EntityTracker(this, q);
         }
-        long l = System.nanoTime();
-        String s1 = propertyManager.getStringProperty("level-name", "world");
-        String s2 = propertyManager.getStringProperty("level-seed", "");
-        long l1 = (new Random()).nextLong();
-        if (s2.length() > 0)
+        long time = System.nanoTime();
+        String lName = propertyManager.getStringProperty("level-name", "world");
+        String lSeed = propertyManager.getStringProperty("level-seed", "");
+        long randomLong = (new Random()).nextLong();
+        if (!lSeed.isEmpty())
         {
             try
             {
-                l1 = Long.parseLong(s2);
+                randomLong = Long.parseLong(lSeed);
             }
             catch (NumberFormatException numberformatexception)
             {
-                l1 = s2.hashCode();
+                randomLong = lSeed.hashCode();
             }
         }
-        logger.info("Preparing level \"" + s1 + "\"");
-        initWorld(new SaveFormat19134(new File(".")), s1, l1);
-        logger.info("Generating RSA key...");
+        LOGGER.info("Preparing level \"{}\"", lName);
+        initWorld(new SaveFormat19134(new File(".")), lName, randomLong);
+        LOGGER.info("Generating RSA key...");
         try
         {
             RSA.RSAKeyChain = RSA.generateKeyPair();
@@ -276,7 +334,7 @@ public class MinecraftServer
         {
             throw new RuntimeException(e);
         }
-        logger.info("Done (" + (System.nanoTime() - l) + "ns)! For help, type \"help\" or \"?\"");
+        LOGGER.info("Done (" + (System.nanoTime() - time) + "ns)! For help, type \"help\" or \"?\"");
         return true;
     }
 
@@ -366,7 +424,7 @@ public class MinecraftServer
         label0:
         for (int j = 0; j < dimensionWorlds.length; j++)
         {
-            logger.info("Preparing start region for level " + j);
+            LOGGER.info("Preparing start region for level " + j);
             if (j == Dimension.nether.id && !propertyManager.getBooleanProperty("allow-nether", true))
             {
                 continue;
@@ -414,7 +472,7 @@ public class MinecraftServer
     {
         currentTask = s;
         percentDone = i;
-        logger.info(s + ": " + i + "%");
+        LOGGER.info("{}: {}%", s, i);
     }
 
     private void clearCurrentTask()
@@ -425,7 +483,7 @@ public class MinecraftServer
 
     private void saveServerWorld()
     {
-        logger.info("Saving chunks");
+        LOGGER.info("Saving chunks");
         for (int i = 0; i < dimensionWorlds.length; i++)
         {
             WorldServer worldserver = dimensionWorlds[i];
@@ -437,7 +495,7 @@ public class MinecraftServer
 
     private void stopServer()
     {
-        logger.info("Stopping server");
+        LOGGER.info("Stopping server");
         if (statsStatus)
         {
             RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + statsToken + "&count=0");
@@ -473,12 +531,12 @@ public class MinecraftServer
                     long timeChange = currentTime - startTime;
                     if (timeChange > 2000L)
                     {
-                        logger.warn("Can't keep up! Did the system time change, or is the server overloaded?");
+                        LOGGER.warn("Can't keep up! Did the system time change, or is the server overloaded?");
                         timeChange = 2000L;
                     }
                     if (timeChange < 0L)
                     {
-                        logger.warn("Time ran backwards! Did the system time change?");
+                        LOGGER.warn("Time ran backwards! Did the system time change?");
                         timeChange = 0L;
                     }
                     timeSinceLastTick += timeChange;
@@ -515,17 +573,16 @@ public class MinecraftServer
                     {
                         Thread.sleep(10L);
                     }
-                    catch (InterruptedException interruptedexception)
+                    catch (InterruptedException e)
                     {
-                        interruptedexception.printStackTrace();
+                        LOGGER.error("",e);
                     }
                 }
             }
         }
         catch (Throwable throwable1)
         {
-            throwable1.printStackTrace();
-            logger.error("Unexpected exception", throwable1);
+            LOGGER.error("Unexpected exception", throwable1);
             while (serverRunning)
             {
                 commandLineParser();
@@ -533,9 +590,9 @@ public class MinecraftServer
                 {
                     Thread.sleep(10L);
                 }
-                catch (InterruptedException interruptedexception1)
+                catch (InterruptedException e)
                 {
-                    interruptedexception1.printStackTrace();
+                    LOGGER.error("",e);
                 }
             }
         }
@@ -546,9 +603,9 @@ public class MinecraftServer
                 stopServer();
                 serverStopped = true;
             }
-            catch (Throwable throwable2)
+            catch (Throwable t)
             {
-                throwable2.printStackTrace();
+                LOGGER.error("Caught throwable in shutdown sequence!",t);
             }
             finally
             {
@@ -559,17 +616,12 @@ public class MinecraftServer
 
     private void doTick()
     {
-        ArrayList arraylist = new ArrayList();
-        for (Iterator iterator = field_6037_b.keySet().iterator(); iterator.hasNext(); )
-        {
-            String s = (String) iterator.next();
-            int i1 = ((Integer) field_6037_b.get(s)).intValue();
-            if (i1 > 0)
-            {
-                field_6037_b.put(s, Integer.valueOf(i1 - 1));
-            }
-            else
-            {
+        ArrayList<String> arraylist = new ArrayList<>();
+        for (String s : field_6037_b.keySet()) {
+            int i1 = field_6037_b.get(s);
+            if (i1 > 0) {
+                field_6037_b.put(s, i1 - 1);
+            } else {
                 arraylist.add(s);
             }
         }
@@ -609,9 +661,9 @@ public class MinecraftServer
             entityTracker[k].tick();
         }
 
-        for (int l = 0; l < field_9010_p.size(); l++)
+        for (int l = 0; l < playerListBoxes.size(); l++)
         {
-            ((IUpdatePlayerListBox) field_9010_p.get(l)).update();
+            playerListBoxes.get(l).update();
         }
 
         try
@@ -620,7 +672,7 @@ public class MinecraftServer
         }
         catch (Exception exception)
         {
-            logger.warn( "Unexpected exception while parsing console command", exception);
+            LOGGER.warn( "Unexpected exception while parsing console command", exception);
         }
     }
 
@@ -641,51 +693,23 @@ public class MinecraftServer
 
     public void func_6022_a(IUpdatePlayerListBox iupdateplayerlistbox)
     {
-        field_9010_p.add(iupdateplayerlistbox);
+        playerListBoxes.add(iupdateplayerlistbox);
     }
 
     public static void main(String[] args)
     {
-        try
-        {
-            File log4jConf = new File("log4j.properties");
-            if (!log4jConf.exists())
-            {
-                log4jConf.createNewFile();
-                String contents = "log4j.appender.file=org.apache.log4j.rolling.RollingFileAppender\n" +
-                        "log4j.appender.file.layout=org.apache.log4j.PatternLayout\n" +
-                        "log4j.appender.file.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1} - %m%n\n" +
-                        "log4j.appender.file.rollingPolicy=org.apache.log4j.rolling.TimeBasedRollingPolicy\n" +
-                        "log4j.appender.file.rollingPolicy.FileNamePattern=./logs/%d{yyyy-MM-dd}.log\n" +
-                        "log4j.appender.file.rollingPolicy.ActiveFileName=./logs/latest.log\n" +
-                        "\n" +
-                        "log4j.appender.stdout=org.apache.log4j.ConsoleAppender\n" +
-                        "log4j.appender.stdout.Target=System.out\n" +
-                        "log4j.appender.stdout.layout=org.apache.log4j.PatternLayout\n" +
-                        "log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p %c{1} - %m%n\n" +
-                        "\n" +
-                        "log4j.logger.Minecraft=DEBUG, file, stdout\n";
-                OutputStream out = Files.newOutputStream(Paths.get("log4j.properties"));
-                out.write(contents.getBytes());
-            }
-        }
-        catch (IOException e)
-        {
-            throw new RuntimeException(e);
-        }
-        PropertyConfigurator.configure("log4j.properties");
         try
         {
             MinecraftServer minecraftserver = new MinecraftServer();
-            if (!java.awt.GraphicsEnvironment.isHeadless() && (args.length <= 0 || !args[0].equals("nogui")))
+            if (!java.awt.GraphicsEnvironment.isHeadless() && (args.length == 0 || !args[0].equals("nogui")))
             {
                 ServerGui.initGui(minecraftserver);
             }
-            (new ThreadServerApplication("Server thread", minecraftserver)).start();
+            new Thread(minecraftserver, "Server thread").start();
         }
         catch (Exception exception)
         {
-            logger.error("Failed to start the minecraft server", exception);
+            LOGGER.error("Failed to start the minecraft server", exception);
         }
     }
 
@@ -704,6 +728,7 @@ public class MinecraftServer
         return VERSION;
     }
 
+
     @Override
     public IChunkProvider createChunkProvider(World world, IChunkLoader chunkLoader)
     {
@@ -711,14 +736,8 @@ public class MinecraftServer
     }
 
     @Override
-	public void log(String s)
-    {
-        logger.info(s);
-    }
-
-    public void logWarning(String s)
-    {
-        logger.warn(s);
+    public void logInfo(String s) {
+        LOGGER.info(s);
     }
 
     @Override
@@ -757,44 +776,4 @@ public class MinecraftServer
         return skinVariantList;
     }
 
-    public static Logger logger = Logger.getLogger("Minecraft");
-    public static final String VERSION = Global.VERSION;
-    private static MinecraftServer instance;
-    public static HashMap field_6037_b = new HashMap();
-    public NetworkListenThread networkServer;
-    public PropertyManager propertyManager;
-    public WorldServer[] dimensionWorlds;
-    public PlayerList playerList;
-    private ConsoleCommandHandler commandHandler;
-    private boolean serverRunning;
-    public boolean serverStopped;
-    int deathTime;
-    public String currentTask;
-    public int percentDone;
-    private final List field_9010_p;
-    private final List<ServerCommandEntry> commands;
-    public EntityTracker[] entityTracker;
-    public boolean onlineMode;
-    public boolean pvpOn;
-    public boolean allowFlight;
-    public int spawnProtectionRange;
-    public WorldType defaultWorldType;
-    public int difficulty;
-    public final ServerCommandHandler serverCommandHandler = new ServerCommandHandler(this);
-    public String joinMessage = null;
-    public int summonLimit;
-    public String language;
-    public int sleepPercentage = 100;
-    public int maxPlayers = 20;
-    public Gamemode defaultGamemode;
-    public static String statsToken;
-    public static boolean statsStatus;
-    public boolean disablePhotoMode = false;
-    public String motd = "";
-    private final SkinVariantList skinVariantList = new ServerSkinVariantList();
-    public int autoSaveInterval = 5;
-    public int chunksSavedPerAutosave = 24;
-    public boolean forceSaveAllChunksOnAutosave = false;
-    public SpawnerMobs.SpawnerConfig spawnerConfig = new SpawnerMobs.SpawnerConfig();
-
 }
diff --git a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java b/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
index 95445e365..4cf409877 100644
--- a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
+++ b/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
@@ -42,9 +42,10 @@ import java.util.HashSet;
 import java.util.LinkedList;
 import java.util.List;
 import java.util.Set;
+import java.util.UUID;
 
 public class ServerPlayer extends Player implements ContainerListener {
-    public ServerPlayer(MinecraftServer minecraftserver, World world, String s, ServerPlayerController iteminworldmanager)
+    public ServerPlayer(MinecraftServer minecraftserver, World world, String username, UUID uuid, ServerPlayerController serverPlayerController)
     {
         super(world);
         loadedChunks = new LinkedList();
@@ -53,8 +54,8 @@ public class ServerPlayer extends Player implements ContainerListener {
         lastScore = 0xfa0a1f01;
         ticksOfInvuln = 60;
         currentWindowId = 0;
-        iteminworldmanager.player = this;
-        playerController = iteminworldmanager;
+        serverPlayerController.player = this;
+        playerController = serverPlayerController;
         ChunkCoordinates chunkcoordinates = world.getSpawnPoint();
         int i = chunkcoordinates.x;
         int j = chunkcoordinates.z;
@@ -68,7 +69,8 @@ public class ServerPlayer extends Player implements ContainerListener {
         moveTo((double) i + 0.5D, k, (double) j + 0.5D, 0.0F, 0.0F);
         mcServer = minecraftserver;
         footSize = 0.0F;
-        username = s;
+        this.username = username;
+        this.uuid = uuid;
         heightOffset = 0.0F;
         gamemode = minecraftserver.defaultGamemode;
     }
@@ -127,12 +129,12 @@ public class ServerPlayer extends Player implements ContainerListener {
 	public void awardKillScore(Entity entity, int i)
     {
         super.awardKillScore(entity, i);
-        mcServer.playerList.sendPacketToAllPlayers(new UpdatePlayerProfilePacket(username, nickname, score, chatColor, true, isOperator()));
+        mcServer.playerList.sendPacketToAllPlayers(new UpdatePlayerProfilePacket(username, nickname, uuid, score, chatColor, true, isOperator()));
     }
 
     public boolean isOperator()
     {
-        return mcServer.playerList.isOp(username);
+        return mcServer.playerList.isOp(uuid);
     }
 
     @Override
@@ -158,7 +160,7 @@ public class ServerPlayer extends Player implements ContainerListener {
     }
 
     @Override
-	public void func_6420_o()
+	public void animate4()
     {
     }
 
@@ -353,7 +355,7 @@ public class ServerPlayer extends Player implements ContainerListener {
         }
         if (score != lastScore)
         {
-            playerNetServerHandler.sendPacket(new UpdatePlayerProfilePacket(username, nickname, score, chatColor, true, isOperator()));
+            playerNetServerHandler.sendPacket(new UpdatePlayerProfilePacket(username, nickname, uuid, score, chatColor, true, isOperator()));
             lastScore = score;
         }
     }
@@ -502,76 +504,76 @@ public class ServerPlayer extends Player implements ContainerListener {
     }
 
     @Override
-	public void displayGUIWorkbench(int i, int j, int k)
+	public void displayWorkbenchScreen(int x, int y, int z)
     {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 1, "Crafting", 9));
-        craftingInventory = new CraftingMenu(inventory, world, i, j, k);
+        craftingInventory = new CraftingMenu(inventory, world, x, y, z);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-    public void displayGUIPaintingPicker()
+    public void displayPaintingPickerScreen()
     {
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 7, "Painting", 0));
     }
 
     @Override
-	public void displayGUIChest(Container iinventory)
+	public void displayContainerScreen(Container container)
     {
         getNextWindowId();
-        ServerPacketHandler.logger.info((new StringBuilder()).append(username).append(" interacted with chest at (").append(x).append(", ").append(y).append(", ").append(z).append(")").toString());
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 0, iinventory.getName(), iinventory.getContainerSize()));
-        craftingInventory = new ContainerMenu(inventory, iinventory);
+        ServerPacketHandler.LOGGER.info((new StringBuilder()).append(username).append(" interacted with chest at (").append(x).append(", ").append(y).append(", ").append(z).append(")").toString());
+        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 0, container.getName(), container.getContainerSize()));
+        craftingInventory = new ContainerMenu(inventory, container);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void displayGUIFurnace(FurnaceBlockEntity tileentityfurnace)
+	public void displayFurnaceScreen(FurnaceBlockEntity blockEntity)
     {
         getNextWindowId();
-        if (tileentityfurnace instanceof BlastFurnaceBlockEntity)
+        if (blockEntity instanceof BlastFurnaceBlockEntity)
         {
-            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 4, tileentityfurnace.getName(), tileentityfurnace.getContainerSize()));
+            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 4, blockEntity.getName(), blockEntity.getContainerSize()));
         }
         else
         {
-            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 2, tileentityfurnace.getName(), tileentityfurnace.getContainerSize()));
+            playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 2, blockEntity.getName(), blockEntity.getContainerSize()));
         }
 
-        craftingInventory = new FurnaceMenu(inventory, tileentityfurnace);
+        craftingInventory = new FurnaceMenu(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void displayGUIDispenser(DispenserBlockEntity tileentitydispenser)
+	public void displayDispenserScreen(DispenserBlockEntity blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 3, tileentitydispenser.getName(), tileentitydispenser.getContainerSize()));
-        craftingInventory = new TrapMenu(inventory, tileentitydispenser);
+        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 3, blockEntity.getName(), blockEntity.getContainerSize()));
+        craftingInventory = new TrapMenu(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void displayGUITrommel(TrommelBlockEntity tileentitytrommel)
+	public void displayTrommelScreen(TrommelBlockEntity blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 5, tileentitytrommel.getName(), tileentitytrommel.getContainerSize()));
-        craftingInventory = new TrommelMenu(inventory, tileentitytrommel);
+        playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, 5, blockEntity.getName(), blockEntity.getContainerSize()));
+        craftingInventory = new TrommelMenu(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-    public void displayGUIEditFlag(FlagBlockEntity tileEntityFlag)
+    public void displayFlagEditorScreen(FlagBlockEntity blockEntity)
     {
         getNextWindowId();
-        playerNetServerHandler.sendPacket(new FlagOpenPacket(currentWindowId, tileEntityFlag.x, tileEntityFlag.y, tileEntityFlag.z));
-        craftingInventory = new FlagMenu(inventory, tileEntityFlag);
+        playerNetServerHandler.sendPacket(new FlagOpenPacket(currentWindowId, blockEntity.x, blockEntity.y, blockEntity.z));
+        craftingInventory = new FlagMenu(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
